#! /bin/bash

# To set this up to run in cron issue the following command (as root):

# echo "*/30  * * * * /path/to/checkPrinterStatus.sh >/dev/null 2>&1" | crontab

# Replace /path/to/checkPrinterStatus.sh with the real path to the script


printerlist=$(cat /etc/cups/printers.conf|grep --regexp="<[Default]*Printer.*"|awk '{print $2}'|sed 's/>//')
echo "Printers to check are : $printerlist"

for p in $printerlist; do
    isenabled=$(lpstat -p $p|grep enabled)
    if [ -n "${isenabled}" ]; then
	echo "$p is enabled"
    else
        echo "$p is disabled, enabling it"
	echo "lpadmin -p $p -E"
	/usr/sbin/lpadmin -p $p -E
    fi
done

