#! /bin/bash

styiuid=$1

[ -z "${styiuid}" ] && echo "usage:    $0 <styiuid>" && exit

. ~/data/dicom.repository/repository.cfg

mountPoints="$(echo $mountPoints | sed 's/\\/ /g')"
#echo "mountPoints : $mountPoints"

hashdir=$(~/component/utils/bin/getHashDirectory -i $styiuid)
# AA/BB/CC/<styiuid>/
# 9_/FE/UZ/1.2.826.0.1.3680043.2.93.2.2831182078.26017.1280408573.9358/
#echo "hashdir : $hashdir"
#echo; echo

for mount in $mountPoints; do
    loctocheck="/home/medsrv/data/dicom.repository/${mount}/${hashdir}"
    [ -d "$loctocheck" ] && echo "$mount : $loctocheck"
done

