#! /bin/bash

for table in $(sql.sh "show tables;" -N); do 
    echo "Checking if $table is a VIEW..."
    isview=$(sql.sh "show table status from imagemedical where name = '$table' and comment = 'view';")
    if [ -n "$isview" ]; then
        echo "$table is a view, skipping optimization"
        continue
    else
        echo "Optimizing $table (for large tables this can take a long time.)"
        sql.sh "optimize table $table;"
    fi
done

