#!/bin/bash

. $HOME/etc/setenv.sh

if [ -z "$1" -o -z "$2" ]; then
    echo "$0 <inputfile> <reference>"
    exit 1
fi

for s in $(cat $1) ; do
    echo -e "\n=========================================="
    echo -e "\tStudy: $s"
    hashDir=$($HOME/component/repositoryhandler/scripts/locateStudy.sh -d $s)
    for o in $(ls $hashDir) ; do
        echo -e "\t\to: $o"
        echo -e "\t\tremoving $2 reference"
        $HOME/component/utils/bin/refcount -r "$2" -i $s/$o -t OBJECTFILE
    done
done

