#!/bin/bash

echo -e "DATE\tStudies\tReports" > today
HOST=`hostname -s`

for i in `seq 0 60`
do
	DATE=`date +%Y-%m-%d --date="$i days ago"`
	LOG=`ls /home/medsrv/var/logs.dated/week/$HOST.$DATE*.info.log.gz`
	if [ -z "$LOG" ] ; then
		LOG=`ls /home/medsrv/var/logs.dated/forever/$HOST.$DATE*.oper_info.log.gz`
		[ -z "$LOG" ] && continue
	fi
	#zgrep study_inserted var/logs.dated/week/n4c1.2011-05-20.00\:00.info.log.gz  | wc -l
	#echo -n "Number of studies received: "
	STYS=`zgrep study_inserted $LOG  | wc -l`
	#zgrep approved_100 var/logs.dated/week/n4c1.2011-05-20.00\:00.info.log.gz   | wc -l
	#echo -n "Number of reports finalized: "
	FINALS=`zgrep approved_100 $LOG   | wc -l`
	echo -e "$DATE\t$STYS\t$FINALS"
done >> today

mail -s "Premier Daily Report" tbowles@erad.com chults@erad.com skoeppel@erad.com rjayanathan@erad.com < today
