#! /bin/bash

. ~/component/tools/scripttools.shi


function isStudyOnWorklist () {
    local styiuid=$1
    unset res
    local MYSQL=$MYSQL_HOME/bin/mysql
    local DB=imagemedical

  
    res=$(echo "select styiuid from Dcstudy where styiuid = '$styiuid';" | \
        $MYSQL -N $DB)

    if [ -n "$res" ]; then
        return 0
    else
        return 1
    fi

} # End of isStudyOnWorklist()

function getSessionID(){
    local retval=$(curl http://127.0.0.1/iface/loginUser.jsp?cUser=migrationuser\&cClientIP=127.0.0.1 2>/dev/null)
    local res=$(echo $retval|awk '{print $4}')
    if [ "$res" == "OK" ]; then
        echo $(echo $retval|awk '{print $5}')
    else
        echo ""
    fi
    return

} # End of get SessionID

function tryRetrieve(){
    local styiuid=$1
    local sessionid=$2
    local retval=$(curl http://127.0.0.1/archive/get.jsp?cDevStudy="dhs-c5 $styiuid"\&cUser=migrationuser\&sessionid=$sessionid)
    echo $retval
    exit 1

} # End of tryRetrieve

for styiuid in $(echo "select styiuid from Archive where thedate < '20070609' \
                                             and thedate > '20070000' \
                                             and archst > '0';" |\
                                             ~/component/mysql/bin/mysql -N imagemedical); do
    niceme && break
    echo -n "Checking $styiuid: "
    if ! isStudyOnWorklist $styiuid; then
        echo -n "Not on worklist, retrieving :"
	sessionid=getSessionID
        if [ -n "$sessionid" ]; then
            tryRetrieve $styiuid $sessionid
            [ $retval == 0 ] && echo "(Success)" || echo "(Failed)"
            sleep 10
        else
            echo "ERROR : Problem establishing session id"
            exit 1
        fi
    else
        echo "On worklist, not retrieving"
    fi
done


    




