#!/bin/bash

interval=$1

while [ 1 ]; do
echo
echo "CPU queues:"
echo -e "\t\tUnscheduled:\t $(ls ~/var/cpuqueue|wc -l)"
echo -e "\t\tScheduled:\t $(ls ~/var/cpuqueue/.scheduled|wc -l)"
echo -e "\t\tRetry:\t\t $(ls ~/var/cpuqueue/.retry|wc -l)"
echo -e "\t\tFailed:\t\t $(ls ~/var/cpuqueue/.failed|wc -l)"
if [ -d $HOME/var/cpuqueue/.suspended ] ; then
  echo -e "\t\tSuspended:\t $(ls ~/var/cpuqueue/.suspended|wc -l)"
fi
echo
echo "Net queues:"
echo -e "\t\tUnscheduled:\t $(ls ~/var/netqueue|wc -l)"
echo -e "\t\tScheduled:\t $(ls ~/var/netqueue/.scheduled|wc -l)"
echo -e "\t\tRetry:\t\t $(ls ~/var/netqueue/.retry|wc -l)"
echo -e "\t\tFailed:\t\t $(ls ~/var/netqueue/.failed|wc -l)"
if [ -d $HOME/var/netqueue/.suspended ] ; then
  echo -e "\t\tSuspended:\t $(ls ~/var/netqueue/.suspended|wc -l)"
fi
echo
if [ -z "$interval" ]; then
    exit
else
    sleep $interval
fi
done

