#!/bin/sh

if [ $# == 0 ] ; then
 CAT=cat
 FILE=~/var/log/apache/access_log
else
 CAT=zcat
 FILE=$1
fi

$CAT $FILE | awk '
  { time=$4; split(time,tt,":" );
    ctime=tt[2]*3600+tt[3]*60+tt[4];
    rtime=ltime-ctime;
    if (rtime>max) { max= rtime; maxreq=$0; }

    if (rtime>0) print rtime, $0;
    ltime=ctime;
  }

#END { print maxreq; }
' | sort -nr -k1,1 | head -100
