#! /bin/bash

# Queries specified mysql table
#
# $1 - query
# $2 - mysql flag ( -N for no header output, etc )

. ~/etc/setenv.sh

query=$1
flag=$2

if [ -z "$query" ]; then
echo "

# $0 <query> <flag>

# $1 - query (e.g \"select * from Target\")
# $2 - mysql flag ( -N for no header output, etc )

"
exit 0

fi

MYSQL=$MYSQL_HOME/bin/mysql
DB=imagemedical

echo "$query" | $MYSQL $flag $DB

